﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace WebService_Client
{
    public partial class _Default : System.Web.UI.Page
    {

        protected void btnSearch_Click(object sender, EventArgs e)
        {
            clsGetCustomer.getCustomer cls = new clsGetCustomer.getCustomer();
            GridView1.DataSource = cls.resultCustomer(this.txtCountry.Text);
            GridView1.DataBind();
        }

        protected void DataTableToGridView()
        {
            clsGetCustomer.getCustomer cls = new clsGetCustomer.getCustomer();
            Array myArr = (Array)cls.resultCustomer(this.txtCountry.Text);

            DataTable dt = null;
            DataRow dr = null;

            dt = new DataTable();
            dt.Columns.Add("CustomerID");
            dt.Columns.Add("Name");
            dt.Columns.Add("Email");
            dt.Columns.Add("CountryCode");
            dt.Columns.Add("Budget");
            dt.Columns.Add("Used");

            foreach (object arr in myArr)
            {
                    dr = dt.NewRow();
                dr["CustomerID"] = DataBinder.Eval(arr, "CustomerID").ToString();
                dr["Name"] = DataBinder.Eval(arr, "Name").ToString();
                dr["Email"] = DataBinder.Eval(arr, "Email").ToString();
                dr["CountryCode"] = DataBinder.Eval(arr, "CountryCode").ToString();
                dr["Budget"] = DataBinder.Eval(arr, "Budget").ToString();
                dr["Used"] = DataBinder.Eval(arr, "Used").ToString();
                dt.Rows.Add(dr);
            }

            GridView1.DataSource = dt.DefaultView;
            GridView1.DataBind();
        }
    }
}
